#!/bin/sh

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control-imca.sh [DEVICE_ID]'
  echo 'Parameters:'
  echo '  DEVICE_ID  Libera Photon device ID (default: "x7LIBERA1")'
  echo 'Example: control-imca.sh'
  echo 'Example: control-imca.sh x7LIBERA2'
  exit 0
fi

deviceId=x7LIBERA1
if [ "X$1" != 'X' ]; then deviceId="$1"; fi

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$thisScriptHome/../src\"." 1>&2
  exit 1
fi

exec medm -x -macro "DEVICE=$deviceId" ./imca-libera-photon-sa.adl
